# DeleteVpc

## 1. 接口描述

本接口(DeleteVpc)用于删除VPC。

{% hint style="info" %}
**注意事项**

* 如果VPC下存在子网/边界网关/跨地域带宽/NAT网关/负载均衡实例等，则无法删除。
* 不能删除默认VPC。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称  | 必选 | 类型     | 描述          |
| ----- | -- | ------ | ----------- |
| vpcId | 是  | String | 要删除的VPC ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除VPC。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteVpc
<Common Request Params>

Request：
{
  "vpcId": "<vpcId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                             | 说明                 |
| ------- | ----------------------------------------------- | ------------------ |
| 409     | INVALID\_VPC\_BANDWIDTH\_ASSOCIATED             | VPC关联跨地域带宽，无法操作。   |
| 409     | INVALID\_VPC\_LB\_ASSOCIATED                    | VPC关联LB实例，无法删除。    |
| 409     | INVALID\_VPC\_NAT\_ASSOCIATED                   | VPC关联NAT网关，无法操作。   |
| 404     | INVALID\_VPC\_NOT\_FOUND                        | VPC不存在。            |
| 409     | INVALID\_VPC\_SUBNET\_ASSOCIATED                | VPC下存在子网，无法操作。     |
| 409     | INVALID\_VPC\_UNMANAGED\_EGRESS\_IP\_ASSOCIATED | VPC关联未托管出口IP，无法操作。 |
| 409     | INVALID\_VPC\_ZBG\_ASSOCIATED                   | VPC关联着边界网关，无法操作。   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vpc-network/deletevpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
